MulticastMessageReceiver.MulticastWorker (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.multicast.MulticastMessageReceiver.MulticastWorker class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.multicast
Class MulticastMessageReceiver.MulticastWorker

    java.lang.Object
      org.mule.transport.udp.UdpMessageReceiver.UdpWorker
          org.mule.transport.multicast.MulticastMessageReceiver.MulticastWorker

All Implemented Interfaces:
  Runnable, javax.resource.spi.work.Work, Disposable

Enclosing class:
  MulticastMessageReceiver

    public class MulticastMessageReceiver.MulticastWorker

extends UdpMessageReceiver.UdpWorker

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`MulticastMessageReceiver.MulticastWorker(DatagramPacket packet)`

Method Summary
`void` | `dispose()` A lifecycle method where implementor should free up any resources.

Methods inherited from class org.mule.transport.udp.UdpMessageReceiver.UdpWorker
`release, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MulticastMessageReceiver.MulticastWorker

    public MulticastMessageReceiver.MulticastWorker(DatagramPacket packet)

Method Detail

### dispose

    public void dispose()

  Description copied from interface: `Disposable`
  A lifecycle method where implementor should free up any resources. If an exception is thrown it should just be logged and processing should continue. This method should not throw Runtime exceptions.

  Specified by:
    `dispose` in interface `Disposable`
  Overrides:
    `dispose` in class `UdpMessageReceiver.UdpWorker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.